/* topbar styling */
* {
    box-sizing: border-box;
}

a {
    all: unset;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
}

.topbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 0 1em;
    background-color: rgba(255, 255, 255, 1);
    color: inherit;
    display: flex;
    justify-content: space-between;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s, color 0.3s;
    z-index: 1000;
    border-bottom: 1px solid #181;

}

.topbar.scrolled {
    background-color: var(--theme-foreground);
    color: var(--theme-highlight);
}



/* topbar button */
.topbar-button,
.topbar-button-selected,
#exam_view_dropdown,
#exam_view_dropdown_nav {
    color: var(--theme-highlight-hard);
    background-color: transparent;
    border: none;
    font-family: Arial, sans-serif;
    font-size: 1.2em;
    outline: none;
    font-weight: bold;
    padding: 0em 0em;
    position: relative;
    display: inline-block;
    text-decoration: none;
    margin: 0 .5em;
    transition: color 0.3s;
}

.topbar-button-selected {
    color: var(--theme-highlight-hard);

}

.scrolled .topbar-button,
.scrolled .topbar-button-selected,
.scrolled #exam_view_dropdown,
.scrolled #exam_view_dropdown_nav {
    color: var(--theme-highlight);
}

.topbar_exam_name {
    background-color: transparent;
    color: rgb(0, 0, 0);
    border: none;
    font-size: 1.3em;
    outline: none;
    font-weight: bolder;
    padding: .5em 0em;
    position: relative;
    display: inline-block;
    text-decoration: none;
    color: inherit;
    margin: 0;
    transition: color 0.3s;
}

#exam_selector,
#exam_selector1 {
    background-color: transparent;
    color: rgb(0, 0, 0);
    font-size: 1.3em;
    cursor: pointer;
    font-weight: bolder;
    padding: .5em 0em;
    position: relative;
    text-decoration: none;
    margin: 0;
    text-align: center;
    border: 2px solid #181;
    border-radius: .3em;
}

#exam_selector1 {
    display: inline-block;
    min-width: 10em;
}

.exam_selector {
    display: none;
    opacity: 0;
    width: 0;
    transition: opacity 2s ease, width 2s ease;
}

#exam_selector.scrolled {
    color: var(--theme-highlight);
}


@media screen and (max-width: 700px) {
    .topbar-button {
        padding: .5em 0em;
    }
}


.topbar-button:hover {
    color: var(--theme-highlight-hard);
}

.scrolled .topbar-button:hover {
    color: var(--theme-highlight);
}

.topbar-button::after,
#exam_selector::after {
    content: '';
    display: block;
    width: 0%;
    height: 3px;
    background-color: var(--theme-highlight-hard);
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    transition: width .3s ease;
}

.scrolled .topbar-button::after,
#exam_selector::after {
    background-color: var(--theme-highlight);
}

.topbar-button:hover::after {
    width: 100%;
}

#exam_sub_menu_buttons .topbar-button.nav_selected::after{
    width: 100%;
}

#topbar .nav_selected {
    background-image: radial-gradient(circle at 50% 0%, var(--theme-glow), rgba(0, 0, 0, 0) 50%);
}

#exam_sub_menu_dropdown {
    margin-left: 2em;
}

.exam_sub_menu_dropdown_nav {
    width: fit-content;
}

.exam_sub_menu_buttons_nav,
.exam_sub_menu_dropdown_nav {
    display: none;
    opacity: 0;
    width: 0;
    transition: opacity 1s ease, width 1s ease;
}

.visible {
    display: block;
    opacity: 1;
    width: fit-content;
}

@media screen and (max-width: 1200px) {
    .exam_sub_menu_buttons_nav {
        display: none;
    }
}

@media screen and (min-width: 1200px) {
    .exam_sub_menu_dropdown_nav {
        display: none;
    }
}

@media screen and (max-width: 1100px) {
    #exam_sub_menu_buttons {
        display: none;
    }

    #exam_sub_menu_dropdown {
        display: inline-block;

    }
}

@media screen and (min-width: 1100px) {
    #exam_sub_menu_buttons {
        display: inline-block;
    }

    #exam_sub_menu_dropdown {
        display: none;
    }
}


#logo {
    cursor: pointer;
}